path: /build/build/wireplumber-media-video-0.5.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise i meta-geaaru-kit && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-lua_single_target_lua5-1 -systemd -test elogind lua_single_target_lua5-3" emerge media-video/wireplumber -pv -t && \
    USE="-lua_single_target_lua5-1 -systemd -test elogind lua_single_target_lua5-3" emerge -j ${JOBS} --nodeps media-video/wireplumber
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wireplumber && luet-portage --dir /pkgdir/wireplumber
    media-video/wireplumber && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - mkdir -p /pkgdir/wireplumber/etc/wireplumber/wireplumber.conf.d && cp 51-disable-suspension.conf
    /pkgdir/wireplumber/etc/wireplumber/wireplumber.conf.d/
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fc31a9656aeee99996265aa9b5e38507dd8da85495307328054b9baffb798302
  package:
    name: wireplumber
    version: 0.5.3+1
    category: media-video
    use_flags:
    - -lua_single_target_lua5-1
    - -systemd
    - -test
    - elogind
    - lua_single_target_lua5-3
    requires:
    - name: pipewire
      version: '>=0'
      category: media-video
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Session and policy manager for Pipewire
    uri:
    - https://gitlab.freedesktop.org/pipewire/wireplumber
    license: MIT
    buildtimestamp: 2024-07-05 18:43:21.625470765 +0000 UTC m=+121.380658812
    labels:
      BDEPEND: dev-libs/glib dev-util/gdbus-codegen dev-util/glib-utils sys-devel/gettext
        test? ( sys-apps/dbus ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig
      DEPEND: lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) >=dev-libs/glib-2.62 >=media-video/pipewire-0.3.68:= virtual/libintl
        elogind? ( sys-auth/elogind ) systemd? ( sys-apps/systemd ) sys-apps/shadow
      IUSE: elogind systemd test lua_single_target_lua5-1 lua_single_target_lua5-3
      RDEPEND: lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) >=dev-libs/glib-2.62 >=media-video/pipewire-0.3.68:= virtual/libintl
        elogind? ( sys-auth/elogind ) systemd? ( sys-apps/systemd )
      emerge.packages: media-video/wireplumber
      kit: geaaru-kit
      original.package.name: media-video/wireplumber
      original.package.slot: "0"
      original.package.version: 0.5.3
    treedir: /build/packages
  package_dir: /pkgdir/wireplumber
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3fbb238100c26a8146160319de8165dcd5ae088320f3ca873c02a846a9da0a58
compressiontype: zstd
files:
- etc/wireplumber/wireplumber.conf.d/51-disable-suspension.conf
- usr/bin/wireplumber
- usr/bin/wpctl
- usr/bin/wpexec
- usr/include/wireplumber-0.5/wp/base-dirs.h
- usr/include/wireplumber-0.5/wp/client.h
- usr/include/wireplumber-0.5/wp/component-loader.h
- usr/include/wireplumber-0.5/wp/conf.h
- usr/include/wireplumber-0.5/wp/core.h
- usr/include/wireplumber-0.5/wp/defs.h
- usr/include/wireplumber-0.5/wp/device.h
- usr/include/wireplumber-0.5/wp/error.h
- usr/include/wireplumber-0.5/wp/event-dispatcher.h
- usr/include/wireplumber-0.5/wp/event-hook.h
- usr/include/wireplumber-0.5/wp/event.h
- usr/include/wireplumber-0.5/wp/factory.h
- usr/include/wireplumber-0.5/wp/global-proxy.h
- usr/include/wireplumber-0.5/wp/iterator.h
- usr/include/wireplumber-0.5/wp/json-utils.h
- usr/include/wireplumber-0.5/wp/link.h
- usr/include/wireplumber-0.5/wp/log.h
- usr/include/wireplumber-0.5/wp/metadata.h
- usr/include/wireplumber-0.5/wp/module.h
- usr/include/wireplumber-0.5/wp/node.h
- usr/include/wireplumber-0.5/wp/object-interest.h
- usr/include/wireplumber-0.5/wp/object-manager.h
- usr/include/wireplumber-0.5/wp/object.h
- usr/include/wireplumber-0.5/wp/plugin.h
- usr/include/wireplumber-0.5/wp/port.h
- usr/include/wireplumber-0.5/wp/properties.h
- usr/include/wireplumber-0.5/wp/proxy-interfaces.h
- usr/include/wireplumber-0.5/wp/proxy.h
- usr/include/wireplumber-0.5/wp/session-item.h
- usr/include/wireplumber-0.5/wp/settings.h
- usr/include/wireplumber-0.5/wp/si-factory.h
- usr/include/wireplumber-0.5/wp/si-interfaces.h
- usr/include/wireplumber-0.5/wp/spa-json.h
- usr/include/wireplumber-0.5/wp/spa-pod.h
- usr/include/wireplumber-0.5/wp/spa-type.h
- usr/include/wireplumber-0.5/wp/state.h
- usr/include/wireplumber-0.5/wp/transition.h
- usr/include/wireplumber-0.5/wp/wp.h
- usr/include/wireplumber-0.5/wp/wpenums.h
- usr/include/wireplumber-0.5/wp/wpversion.h
- usr/lib64/libwireplumber-0.5.so
- usr/lib64/libwireplumber-0.5.so.0
- usr/lib64/libwireplumber-0.5.so.0.503.0
- usr/lib64/pkgconfig/wireplumber-0.5.pc
- usr/lib64/wireplumber-0.5/libwireplumber-module-dbus-connection.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-default-nodes-api.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-file-monitor-api.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-log-settings.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-logind.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-lua-scripting.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-mixer-api.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-portal-permissionstore.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-reserve-device.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-settings.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-si-audio-adapter.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-si-audio-virtual.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-si-node.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-si-standard-link.so
- usr/lib64/wireplumber-0.5/libwireplumber-module-standard-event-source.so
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/access.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/alsa.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/bluetooth.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/device.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/libcamera.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/linking.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/log.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/stream.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/v4l2.conf.bz2
- usr/share/doc/wireplumber/examples/wireplumber.conf.d/virtual.conf.bz2
- usr/share/doc/wireplumber-0.5.3/NEWS.rst.bz2
- usr/share/doc/wireplumber-0.5.3/README.rst.bz2
- usr/share/locale/af/LC_MESSAGES/wireplumber.mo
- usr/share/locale/as/LC_MESSAGES/wireplumber.mo
- usr/share/locale/be/LC_MESSAGES/wireplumber.mo
- usr/share/locale/bg/LC_MESSAGES/wireplumber.mo
- usr/share/locale/bn_IN/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ca/LC_MESSAGES/wireplumber.mo
- usr/share/locale/cs/LC_MESSAGES/wireplumber.mo
- usr/share/locale/da/LC_MESSAGES/wireplumber.mo
- usr/share/locale/de/LC_MESSAGES/wireplumber.mo
- usr/share/locale/de_CH/LC_MESSAGES/wireplumber.mo
- usr/share/locale/el/LC_MESSAGES/wireplumber.mo
- usr/share/locale/eo/LC_MESSAGES/wireplumber.mo
- usr/share/locale/es/LC_MESSAGES/wireplumber.mo
- usr/share/locale/fa/LC_MESSAGES/wireplumber.mo
- usr/share/locale/fi/LC_MESSAGES/wireplumber.mo
- usr/share/locale/fr/LC_MESSAGES/wireplumber.mo
- usr/share/locale/gl/LC_MESSAGES/wireplumber.mo
- usr/share/locale/gu/LC_MESSAGES/wireplumber.mo
- usr/share/locale/he/LC_MESSAGES/wireplumber.mo
- usr/share/locale/hi/LC_MESSAGES/wireplumber.mo
- usr/share/locale/hr/LC_MESSAGES/wireplumber.mo
- usr/share/locale/hu/LC_MESSAGES/wireplumber.mo
- usr/share/locale/id/LC_MESSAGES/wireplumber.mo
- usr/share/locale/it/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ja/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ka/LC_MESSAGES/wireplumber.mo
- usr/share/locale/kk/LC_MESSAGES/wireplumber.mo
- usr/share/locale/kn/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ko/LC_MESSAGES/wireplumber.mo
- usr/share/locale/lt/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ml/LC_MESSAGES/wireplumber.mo
- usr/share/locale/mr/LC_MESSAGES/wireplumber.mo
- usr/share/locale/my/LC_MESSAGES/wireplumber.mo
- usr/share/locale/nl/LC_MESSAGES/wireplumber.mo
- usr/share/locale/nn/LC_MESSAGES/wireplumber.mo
- usr/share/locale/oc/LC_MESSAGES/wireplumber.mo
- usr/share/locale/or/LC_MESSAGES/wireplumber.mo
- usr/share/locale/pa/LC_MESSAGES/wireplumber.mo
- usr/share/locale/pl/LC_MESSAGES/wireplumber.mo
- usr/share/locale/pt/LC_MESSAGES/wireplumber.mo
- usr/share/locale/pt_BR/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ro/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ru/LC_MESSAGES/wireplumber.mo
- usr/share/locale/si/LC_MESSAGES/wireplumber.mo
- usr/share/locale/sk/LC_MESSAGES/wireplumber.mo
- usr/share/locale/sr/LC_MESSAGES/wireplumber.mo
- usr/share/locale/sr@latin/LC_MESSAGES/wireplumber.mo
- usr/share/locale/sv/LC_MESSAGES/wireplumber.mo
- usr/share/locale/ta/LC_MESSAGES/wireplumber.mo
- usr/share/locale/te/LC_MESSAGES/wireplumber.mo
- usr/share/locale/tr/LC_MESSAGES/wireplumber.mo
- usr/share/locale/uk/LC_MESSAGES/wireplumber.mo
- usr/share/locale/zh_CN/LC_MESSAGES/wireplumber.mo
- usr/share/locale/zh_TW/LC_MESSAGES/wireplumber.mo
- usr/share/wireplumber/scripts/client/access-default.lua
- usr/share/wireplumber/scripts/client/access-portal.lua
- usr/share/wireplumber/scripts/client/access-snap.lua
- usr/share/wireplumber/scripts/default-nodes/apply-default-node.lua
- usr/share/wireplumber/scripts/default-nodes/find-best-default-node.lua
- usr/share/wireplumber/scripts/default-nodes/find-selected-default-node.lua
- usr/share/wireplumber/scripts/default-nodes/rescan.lua
- usr/share/wireplumber/scripts/default-nodes/state-default-nodes.lua
- usr/share/wireplumber/scripts/device/apply-profile.lua
- usr/share/wireplumber/scripts/device/apply-routes.lua
- usr/share/wireplumber/scripts/device/autoswitch-bluetooth-profile.lua
- usr/share/wireplumber/scripts/device/find-best-profile.lua
- usr/share/wireplumber/scripts/device/find-best-routes.lua
- usr/share/wireplumber/scripts/device/find-preferred-profile.lua
- usr/share/wireplumber/scripts/device/select-profile.lua
- usr/share/wireplumber/scripts/device/select-routes.lua
- usr/share/wireplumber/scripts/device/state-profile.lua
- usr/share/wireplumber/scripts/device/state-routes.lua
- usr/share/wireplumber/scripts/fallback-sink.lua
- usr/share/wireplumber/scripts/intended-roles.lua
- usr/share/wireplumber/scripts/lib/common-utils.lua
- usr/share/wireplumber/scripts/lib/device-info-cache.lua
- usr/share/wireplumber/scripts/lib/filter-utils.lua
- usr/share/wireplumber/scripts/lib/linking-utils.lua
- usr/share/wireplumber/scripts/lib/monitor-utils.lua
- usr/share/wireplumber/scripts/lib/node-utils.lua
- usr/share/wireplumber/scripts/linking/find-best-target.lua
- usr/share/wireplumber/scripts/linking/find-default-target.lua
- usr/share/wireplumber/scripts/linking/find-defined-target.lua
- usr/share/wireplumber/scripts/linking/find-filter-target.lua
- usr/share/wireplumber/scripts/linking/find-user-target.lua.example
- usr/share/wireplumber/scripts/linking/find-virtual-target.lua
- usr/share/wireplumber/scripts/linking/get-filter-from-target.lua
- usr/share/wireplumber/scripts/linking/link-target.lua
- usr/share/wireplumber/scripts/linking/prepare-link.lua
- usr/share/wireplumber/scripts/linking/rescan-virtual-links.lua
- usr/share/wireplumber/scripts/linking/rescan.lua
- usr/share/wireplumber/scripts/metadata.lua
- usr/share/wireplumber/scripts/monitors/alsa-midi.lua
- usr/share/wireplumber/scripts/monitors/alsa.lua
- usr/share/wireplumber/scripts/monitors/bluez-midi.lua
- usr/share/wireplumber/scripts/monitors/bluez.lua
- usr/share/wireplumber/scripts/monitors/libcamera/create-device.lua
- usr/share/wireplumber/scripts/monitors/libcamera/create-node.lua
- usr/share/wireplumber/scripts/monitors/libcamera/enumerate-device.lua
- usr/share/wireplumber/scripts/monitors/libcamera/name-device.lua
- usr/share/wireplumber/scripts/monitors/libcamera/name-node.lua
- usr/share/wireplumber/scripts/monitors/v4l2/create-device.lua
- usr/share/wireplumber/scripts/monitors/v4l2/create-node.lua
- usr/share/wireplumber/scripts/monitors/v4l2/enumerate-device.lua
- usr/share/wireplumber/scripts/monitors/v4l2/name-device.lua
- usr/share/wireplumber/scripts/monitors/v4l2/name-node.lua
- usr/share/wireplumber/scripts/node/create-item.lua
- usr/share/wireplumber/scripts/node/create-virtual-item.lua
- usr/share/wireplumber/scripts/node/filter-forward-format.lua
- usr/share/wireplumber/scripts/node/software-dsp.lua
- usr/share/wireplumber/scripts/node/state-stream.lua
- usr/share/wireplumber/scripts/node/suspend-node.lua
- usr/share/wireplumber/scripts/sm-objects.lua
- usr/share/wireplumber/wireplumber.conf
- usr/share/wireplumber/wireplumber.conf.d/alsa-vm.conf
- usr/share/zsh/site-functions/_wpctl
- var/db/pkg/media-video/wireplumber-0.5.3/BDEPEND
- var/db/pkg/media-video/wireplumber-0.5.3/BUILD_TIME
- var/db/pkg/media-video/wireplumber-0.5.3/CATEGORY
- var/db/pkg/media-video/wireplumber-0.5.3/CBUILD
- var/db/pkg/media-video/wireplumber-0.5.3/CFLAGS
- var/db/pkg/media-video/wireplumber-0.5.3/CHOST
- var/db/pkg/media-video/wireplumber-0.5.3/CONTENTS
- var/db/pkg/media-video/wireplumber-0.5.3/COUNTER
- var/db/pkg/media-video/wireplumber-0.5.3/CXXFLAGS
- var/db/pkg/media-video/wireplumber-0.5.3/DEFINED_PHASES
- var/db/pkg/media-video/wireplumber-0.5.3/DEPEND
- var/db/pkg/media-video/wireplumber-0.5.3/DESCRIPTION
- var/db/pkg/media-video/wireplumber-0.5.3/EAPI
- var/db/pkg/media-video/wireplumber-0.5.3/FEATURES
- var/db/pkg/media-video/wireplumber-0.5.3/HOMEPAGE
- var/db/pkg/media-video/wireplumber-0.5.3/INHERITED
- var/db/pkg/media-video/wireplumber-0.5.3/IUSE
- var/db/pkg/media-video/wireplumber-0.5.3/IUSE_EFFECTIVE
- var/db/pkg/media-video/wireplumber-0.5.3/KEYWORDS
- var/db/pkg/media-video/wireplumber-0.5.3/LDFLAGS
- var/db/pkg/media-video/wireplumber-0.5.3/LICENSE
- var/db/pkg/media-video/wireplumber-0.5.3/NEEDED
- var/db/pkg/media-video/wireplumber-0.5.3/PF
- var/db/pkg/media-video/wireplumber-0.5.3/PROVIDES
- var/db/pkg/media-video/wireplumber-0.5.3/RDEPEND
- var/db/pkg/media-video/wireplumber-0.5.3/REQUIRES
- var/db/pkg/media-video/wireplumber-0.5.3/SIZE
- var/db/pkg/media-video/wireplumber-0.5.3/SLOT
- var/db/pkg/media-video/wireplumber-0.5.3/USE
- var/db/pkg/media-video/wireplumber-0.5.3/environment.bz2
- var/db/pkg/media-video/wireplumber-0.5.3/repository
- var/db/pkg/media-video/wireplumber-0.5.3/wireplumber-0.5.3.ebuild
package_cacheimage: ""
runtime:
  name: wireplumber
  version: 0.5.3+1
  category: media-video
  use_flags:
  - -lua_single_target_lua5-1
  - -systemd
  - -test
  - elogind
  - lua_single_target_lua5-3
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: lua
    version: '>=0'
    category: dev-lua-5.3
  - name: pipewire
    version: '>=0'
    category: media-video
  - name: elogind
    version: '>=0'
    category: sys-auth
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Session and policy manager for Pipewire
  uri:
  - https://gitlab.freedesktop.org/pipewire/wireplumber
  license: MIT
  labels:
    BDEPEND: dev-libs/glib dev-util/gdbus-codegen dev-util/glib-utils sys-devel/gettext
      test? ( sys-apps/dbus ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig
    DEPEND: lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) >=dev-libs/glib-2.62 >=media-video/pipewire-0.3.68:= virtual/libintl
      elogind? ( sys-auth/elogind ) systemd? ( sys-apps/systemd ) sys-apps/shadow
    IUSE: elogind systemd test lua_single_target_lua5-1 lua_single_target_lua5-3
    RDEPEND: lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) >=dev-libs/glib-2.62 >=media-video/pipewire-0.3.68:= virtual/libintl
      elogind? ( sys-auth/elogind ) systemd? ( sys-apps/systemd )
    emerge.packages: media-video/wireplumber
    kit: geaaru-kit
    original.package.name: media-video/wireplumber
    original.package.slot: "0"
    original.package.version: 0.5.3
